Skip to main content
GET
Get Kalshi Markets

Query Parameters

market_ticker
string[]

Filter markets by market ticker(s). Can provide multiple values.

Example:
event_ticker
string[]

Filter markets by event ticker(s). Can provide multiple values.

Example:

Search markets by keywords in title and description. Must be URL encoded (e.g., 'bitcoin%20price' for 'bitcoin price').

Example:

"bitcoin"

status
enum<string>

Filter markets by status (whether they're open or closed)

Available options:
open,
closed
Example:

"open"

min_volume
number

Filter markets with total trading volume greater than or equal to this amount (in dollars)

Example:

10000000

limit
integer
default:10

Number of markets to return (1-100). Default: 10.

Required range: 1 <= x <= 100
Example:

20

pagination_key
string

Base64-encoded cursor for efficient pagination. Returned in the previous response's pagination object.

Example:

"eyJvcGVuX3RpbWUiOiIyMDI1LTAxLTE5VDEyOjAwOjAwLjAwMFoiLCJtYXJrZXRfdGlja2VyIjoiS1hNQVlPUk5ZQ1BBUlRZLTI1LUQiLCJ0b3RhbCI6MTUwfQ=="

Response

Kalshi markets response with pagination

markets
object[]
pagination
object